#
# spec file for package pf_ring (Version 2.6.32)
#
#
# norootforbuild
#
%define relid	6.0.2
%define driverver 8.0.35 
%define svnver 0

%if %{svnver} == 1
%define pkgversion %{relid}-svn
%else
%define pkgversion %{relid}
%endif
Name:		e1000-dna

BuildRequires:	kernel-source kernel-syms module-init-tools
Summary:	PF_RING & DNA enabled e1000 driver
Version:	%{driverver}
Release:	%{relid}.3.5
Group:		System/Kernel
License:	GPL v2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source:		PF_RING-%{pkgversion}.tar.bz2
Source1:	preamble
Source100:	%{name}.changes
Autoreqprov:	on
%suse_kernel_module_package -p %_sourcedir/preamble kdump um ec2

%description
This package contains a kernel module for pf_ring.

%package KMP
Summary:	PF_RING & DNA enabled ixbe driver
Group:	System/Kernel

%description KMP
This package contains a kernel module for e1000. 

%prep
%setup -q -n PF_RING-%{pkgversion}

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
		M=$PWD/obj/$flavor/drivers/DNA/e1000-%{driverver}-DNA/src
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
if [ $flavor != debug ] ; then
        find . -iname "*.ko" -exec strip --strip-debug {} \;
fi
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
		M=$PWD/obj/$flavor/drivers/DNA/e1000-%{driverver}-DNA/src
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Nov  4 2014 cs@linux-administrator.com
- Update to PF_RING 6.0.2
* Fri Feb  7 2014 cs@linux-administrator.com
- Update to PF_RING 5.6.2
